﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _4Grafica
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        int f1 = 0, f2 = 0, s = 0, f3 = 0;
        Pen myPen = new Pen(Color.Black, 3);
        Brush Br = new SolidBrush(Color.Black);
        Point[] ppp = { new Point(1, 1), new Point(50, 1), new Point(1, 50) };

        private void button1_Click(object sender, EventArgs e)
        {
            s = 1;  f1 += 1;  Invalidate();
            if (f1 == 6)  { f1 = 1; }
         }

        private void button2_Click(object sender, EventArgs e)
        {
            s = 2; f2 += 1;  Invalidate();
            if (f2 == 5)   { f2 = 1; }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            f3 = 1; Invalidate();
        }
        private void button3_Click(object sender, EventArgs e)
        {
            ColorDialog col = new ColorDialog();
            if (col.ShowDialog() == DialogResult.OK)
            {
                textBox1.Text = col.Color.Name;
                myPen = new Pen(col.Color, 5);
                Br = new SolidBrush(col.Color);
            }
            Invalidate();
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            Invalidate();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Rectangle fillRect = new Rectangle(1, 1, 100, 100);
            Region fillRegion = new Region(fillRect);
            if (f3 == 1) { e.Graphics.TranslateTransform(this.Width / 2, this.Height / 2); }
            e.Graphics.RotateTransform(trackBar1.Value);
            if (s == 1)
            {
                switch (f1)
                {
                    case 1:
                        e.Graphics.DrawLine(myPen, 1, 1, 50, 50);
                        break;
                    case 2:
                        e.Graphics.DrawRectangle(new Pen(Color.FromArgb(120, 120, 0, 255)), 1, 1, 50, 50);
                        break;
                    case 3:
                        e.Graphics.DrawEllipse(myPen, 1, 1, 50, 50);
                        break;
                    case 4:
                        e.Graphics.DrawString("Текст", new Font("Arial", 30), Br, 1, 1);
                        break;
                    case 5:
                        e.Graphics.DrawPolygon(myPen, ppp);
                        break;
                }
            }
            if (s == 2)
            {
                switch (f2)
                {
                    case 1:
                        e.Graphics.FillEllipse(Br, 1, 1, 100, 50);
                        break;
                    case 2:
                        e.Graphics.FillRectangle(new SolidBrush(Color.FromArgb(120, 120, 0, 255)), 1, 1, 50, 50);
                        break;
                    case 3:
                        e.Graphics.FillRegion(Br, fillRegion);
                        break;
                    case 4:
                        e.Graphics.FillPolygon(Br, ppp);
                        break;
                    default:
                        e.Graphics.FillRectangle(new SolidBrush(Color.FromArgb(120, 120, 120, 120)), 1, 1, 50, 50);
                        break;
                }
            }
          }
    }
}
